#configured value of mapred.local.dir. It can be a list of comma separated paths.
<%
mapred_local_dir = ''
@active_vol_nums.to_i.times {|vol_num|
  mapred_local_dir = mapred_local_dir == '' ? '' : "#{mapred_local_dir},"
  mapred_local_dir = "#{mapred_local_dir}#{node['grid']['vol_root']}/#{vol_num}/var/lib/mapred/local"
}
%>
mapred.local.dir=<%= mapred_local_dir %>
#mapred.local.dir=/grid/vol/0/var/lib/mapred/local,/grid/vol/1/var/lib/mapred/local
#configured value of hadoop.log.dir.
<% if node['hadoop']['install_flavor'] == 'cdh' then
# because ${USER} is N/A on the CDH.
-%>
hadoop.log.dir=<%= node['grid']['vol_root'] %>/0/var/log
<% else -%>
hadoop.log.dir=<%= node['grid']['vol_root'] %>/0/var/log/mapred
<% end -%>
#sleep time before sig kill is to be sent to process group after sigterm is sent. Should be in seconds
mapred.tasktracker.tasks.sleeptime-before-sigkill=5000
mapreduce.tasktracker.group=mapred
#min.user.id=1000    # default
min.user.id=<%= node['hadoop']['taskcontroller']['min.user.id'] %>
